- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::SymScaledMatrix Class Reference

Class for a Matrix in conjunction with its scaling factors for row and column scaling. More...

`#include <IpSymScaledMatrix.hpp>`

Inheritance diagram for Ipopt::SymScaledMatrix:

[legend]
Collaboration diagram for Ipopt::SymScaledMatrix:

[legend]
List of all members.

## Public Member Functions
void | SetUnscaledMatrix (const SmartPtr< const SymMatrix > unscaled_matrix)
| Set the unscaled matrix.
void | SetUnscaledMatrixNonConst (const SmartPtr< SymMatrix > &unscaled_matrix)
| Set the unscaled matrix in a non-const version.
SmartPtr< const SymMatrix > | GetUnscaledMatrix () const
| Return the unscaled matrix in const form.
SmartPtr< SymMatrix > | GetUnscaledMatrixNonConst ()
| Return the unscaled matrix in non-const form.
SmartPtr< const Vector > | RowColScaling () const
| return the vector for the row and column scaling
Constructors / Destructors
| SymScaledMatrix (const SymScaledMatrixSpace *owner_space)
| Constructor, taking the owner_space.
| ~SymScaledMatrix ()
| Destructor.
## Protected Member Functions
Methods overloaded from Matrix
virtual void | MultVectorImpl (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix-vector multiply.
virtual bool | HasValidNumbersImpl () const
| Method for determining if all stored numbers are valid (i.e., no Inf or Nan).
virtual void | PrintImpl (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const
| Print detailed information about the matrix.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| SymScaledMatrix ()
| Default Constructor.
| SymScaledMatrix (const SymScaledMatrix &)
| Copy Constructor.
void | operator= (const SymScaledMatrix &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< const SymMatrix > | matrix_
| const version of the unscaled matrix
SmartPtr< SymMatrix > | nonconst_matrix_
| non-const version of the unscaled matrix
SmartPtr< const SymScaledMatrixSpace > | owner_space_
| Matrix space stored as a SymScaledMatrixSpace.

## Detailed Description

Class for a Matrix in conjunction with its scaling factors for row and column scaling.

Operations on the matrix are performed using the scaled matrix. You can pull out the pointer to the unscaled matrix for unscaled calculations.

Definition at line 26 of file IpSymScaledMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::SymScaledMatrix::SymScaledMatrix | ( | const SymScaledMatrixSpace * | owner_space | ) |

Constructor, taking the owner_space.

Ipopt::SymScaledMatrix::~SymScaledMatrix | ( |  | ) |

Destructor.

Ipopt::SymScaledMatrix::SymScaledMatrix | ( |  | ) | `[private]`

Default Constructor.

Ipopt::SymScaledMatrix::SymScaledMatrix | ( | const SymScaledMatrix & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

void Ipopt::SymScaledMatrix::SetUnscaledMatrix | ( | const SmartPtr< const SymMatrix > | unscaled_matrix | ) | `[inline]`

Set the unscaled matrix.

Definition at line 193 of file IpSymScaledMatrix.hpp.

References matrix_, nonconst_matrix_, and Ipopt::TaggedObject::ObjectChanged().

void Ipopt::SymScaledMatrix::SetUnscaledMatrixNonConst | ( | const SmartPtr< SymMatrix > & | unscaled_matrix | ) | `[inline]`

Set the unscaled matrix in a non-const version.

Definition at line 201 of file IpSymScaledMatrix.hpp.

References Ipopt::GetRawPtr(), matrix_, nonconst_matrix_, and Ipopt::TaggedObject::ObjectChanged().

Referenced by Ipopt::SymScaledMatrixSpace::MakeNewSymScaledMatrix().

SmartPtr< const SymMatrix > Ipopt::SymScaledMatrix::GetUnscaledMatrix | ( |  | ) | const`[inline]`

Return the unscaled matrix in const form.

Definition at line 209 of file IpSymScaledMatrix.hpp.

References matrix_.

SmartPtr< SymMatrix > Ipopt::SymScaledMatrix::GetUnscaledMatrixNonConst | ( |  | ) | `[inline]`

Return the unscaled matrix in non-const form.

Definition at line 215 of file IpSymScaledMatrix.hpp.

References DBG_ASSERT, Ipopt::IsValid(), nonconst_matrix_, and Ipopt::TaggedObject::ObjectChanged().

SmartPtr< const Vector > Ipopt::SymScaledMatrix::RowColScaling | ( |  | ) | const`[inline]`

return the vector for the row and column scaling

Definition at line 222 of file IpSymScaledMatrix.hpp.

References Ipopt::ConstPtr(), and owner_space_.

virtual void Ipopt::SymScaledMatrix::MultVectorImpl | ( | Number | alpha,
|  | const Vector & | x,
|  | Number | beta,
|  | Vector & | y |
| ) |  |  | const`[protected, virtual]`

Matrix-vector multiply.

Computes y = alpha * Matrix * x + beta * y

Implements Ipopt::Matrix.

virtual bool Ipopt::SymScaledMatrix::HasValidNumbersImpl | ( |  | ) | const`[protected, virtual]`

Method for determining if all stored numbers are valid (i.e., no Inf or Nan).

It is assumed here that the scaling factors are always valid numbers.

Reimplemented from Ipopt::Matrix.

virtual void Ipopt::SymScaledMatrix::PrintImpl | ( | const Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent,
|  | const std::string & | prefix |
| ) |  |  | const`[protected, virtual]`

Print detailed information about the matrix.

Implements Ipopt::Matrix.

void Ipopt::SymScaledMatrix::operator= | ( | const SymScaledMatrix & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<const SymMatrix> Ipopt::SymScaledMatrix::matrix_`[private]`

const version of the unscaled matrix

Definition at line 95 of file IpSymScaledMatrix.hpp.

Referenced by GetUnscaledMatrix(), SetUnscaledMatrix(), and SetUnscaledMatrixNonConst().

SmartPtr<SymMatrix> Ipopt::SymScaledMatrix::nonconst_matrix_`[private]`

non-const version of the unscaled matrix

Definition at line 97 of file IpSymScaledMatrix.hpp.

Referenced by GetUnscaledMatrixNonConst(), SetUnscaledMatrix(), and SetUnscaledMatrixNonConst().

SmartPtr<const SymScaledMatrixSpace> Ipopt::SymScaledMatrix::owner_space_`[private]`

Matrix space stored as a SymScaledMatrixSpace.

Reimplemented from Ipopt::SymMatrix.

Definition at line 100 of file IpSymScaledMatrix.hpp.

Referenced by RowColScaling().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/LinAlg/IpSymScaledMatrix.hpp